@charset "shift_jis";

html {
    background-color: var(--color-bg);
    overflow-x: hidden;
    position: relative;
    scroll-behavior: smooth;
}

body {
    color: var(--color-text);
    font-family: "Zen Kaku Gothic New", "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
    font-size: 1.4em;
    font-weight: 500;
    -webkit-font-variant-ligatures: none;
    font-variant-ligatures: none;
    letter-spacing: 0.1em;
    line-height: 1.8;
    overflow-x: hidden;
    position: relative;
    width: 100%;
    /* -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0); */
    -webkit-text-size-adjust: 100%;
}

@media screen and (min-width: 780px) {
    body { font-size: 1.6em; }
}

a:link, a:visited { color: var(--color-att); }
a:active { text-decoration: none; }

@media (hover: hover) {
    a:hover { text-decoration: none; }
}



/* HEADER -------------------- */
header {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    aspect-ratio: 1 / 1;
    margin: 0 auto;
    position: relative;
    text-align: center;
    transition: all 0.2s;
}

h1 {
    margin: 10px auto 0;
    width: 80%;
}

/* h2 {
    font-family: var(--gfont-eng), sans-serif;
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1;
    padding-top: 20px;
} */

@media screen and (min-width: 780px) {
    header { aspect-ratio: 3 / 2; }

    h1 { margin-top: 40px; }
    /* h2 { font-size: 4rem; } */
}

@media screen and (min-width: 1100px) {
    header {
        width: var(--pc-width);
        /* aspect-ratio: 2 / 1; */
    }

    h1 { width: 800px; }
}


/* FOOTER -------------------- */
footer {
    margin: 0 auto;
    padding: 40px 0;
    position: relative;
    text-align: center;
    width: var(--sp-width);
}

small {
    font-family: var(--gfont-eng), sans-serif;
    font-size: 1.2rem;
}

@media screen and (min-width: 780px) {
    footer { padding: 60px 0; }
    small { font-size: 1.4rem; }
}

@media screen and (min-width: 1100px) {
    footer { width: var(--pc-width); }
}


/* MAIN -------------------- */
main {
    background-color: var(--color-secondary);
    margin: 0 auto;
    padding: 40px 0;
    position: relative;
}

.contents {
    margin: 0 auto;
    width: var(--sp-width);
}

h2 {
    font-size: 2.2rem;
    font-weight: 400;
    line-height: 1.75;
    margin: 80px 0 20px;
    position: relative;
}

h2::before {
    content: "";
    background-color: var(--color-text);
    display: inline-block;
    width: 1.6rem;
    aspect-ratio: 1 / 1;
    margin-right: 10px;
    vertical-align: middle;
}

@media screen and (min-width: 780px) {
    main { padding: 80px 0; }

    h2 {
        font-size: 2.4rem;
        margin-top: 100px;
    }

    h2::before {
        width: 18px;
        margin-right: 14px;
    }
}

@media screen and (min-width: 1100px) {
    /* main { padding: 100px 0; } */
    .contents { width: var(--pc-width); }
    h2 { margin-top: 120px;}
}

